spring:
  datasource:
    url: ${SPRING_DATASOURCE_URL}
    username: ${SPRING_DATASOURCE_USERNAME}
    password: ${SPRING_DATASOURCE_PASSWORD}

  jpa:
    show-sql: true
    properties:
      hibernate.enable_lazy_load_no_trans: true

  mail:
    host: smtp.gmail.com
    port: 587
    username: r.stahinsky@gmail.com
    password: qahbqokvmgiseajr
    protocol: smtp
    properties:
      mail.smtp.auth: true
      mail.smtp.starttls.enable: true
      mail.smtp.starttls.required: true
---
server:
  port: ${PORT:8080}
---
spring:
  config:
    activate:
      on-profile: local
  datasource:
    url: jdbc:postgresql://localhost:5432/answersapi?stringtype=unspecified
    username: postgres
    password: root
    driver-class-name: org.postgresql.Driver
---
jwt:
  secret: ${JWT_SECRET:secret}
---
sentry:
  dsn: ${DSN}
  exception-resolver-order: -2147483647
